Bug 77993 - Writer crashes constantly
Summary: Writer crashes constantly
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
4.3.0.0.alpha0+ Master
Hardware: PowerPC Mac OS X (All)
: medium major
Assignee: Douglas Mencken
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-27 11:56 UTC by Douglas Mencken
Modified: 2014-05-23 15:26 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Mencken 2014-04-27 11:56:23 UTC
Steps to reproduce:

1. Create new Writer document.
2. Type "testing".
3. Press Return key.

Actual result: LibreOffice crashes.

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000013
Crashed Thread:  0

Thread 0 Crashed:
0   com.apple.CoreText            	0x94767b4c TLine::GetVisibleGlyphRange(double*) const + 96
1   com.apple.CoreText            	0x94767a20 CTLineCreateJustifiedLine + 100
2   libvcllo.dylib                	0x01b4528c CTLayout::AdjustLayout(ImplLayoutArgs&) + 572
3   libvcllo.dylib                	0x019a9b98 OutputDevice::ImplLayout(rtl::OUString const&, long, long, Point const&, long, long const*) const + 696
4   libvcllo.dylib                	0x019ab994 OutputDevice::DrawTextArray(Point const&, rtl::OUString const&, long const*, long, long) + 324
5   libswlo.dylib                 	0x2bc275f8 SwFntObj::DrawText(SwDrawTextInfo&) + 7624
6   libswlo.dylib                 	0x2bc3d610 SwSubFont::_DrawText(SwDrawTextInfo&, unsigned char) + 448
7   libswlo.dylib                 	0x2bbb693c SwTxtPaintInfo::_DrawText(rtl::OUString const&, SwLinePortion const&, long, long, bool, bool, bool, bool) + 2332
8   libswlo.dylib                 	0x2bbe699c SwTxtPortion::Paint(SwTxtPaintInfo const&) const + 556
9   libswlo.dylib                 	0x2bbcb948 SwTxtPainter::DrawTextLine(SwRect const&, SwSaveClip&, bool) + 2424
10  libswlo.dylib                 	0x2bbafb4c SwTxtFrm::Paint(SwRect const&, SwPrintData const*) const + 1452
11  libswlo.dylib                 	0x2bb2ec5c SwLayoutFrm::Paint(SwRect const&, SwPrintData const*) const + 940
12  libswlo.dylib                 	0x2bb2ec5c SwLayoutFrm::Paint(SwRect const&, SwPrintData const*) const + 940
13  libswlo.dylib                 	0x2bb2fc14 SwRootFrm::Paint(SwRect const&, SwPrintData const*) const + 2772
14  libswlo.dylib                 	0x2be6d9c8 SwViewShell::Paint(Rectangle const&) + 696
15  libswlo.dylib                 	0x2b8c9a78 SwCrsrShell::Paint(Rectangle const&) + 312
16  libswlo.dylib                 	0x2bff8794 SwEditWin::Paint(Rectangle const&) + 260
17  libvcllo.dylib                	0x01b2f5d8 Window::ImplCallPaint(Region const*, unsigned short) + 1032
18  libvcllo.dylib                	0x01b2f73c Window::ImplCallPaint(Region const*, unsigned short) + 1388
19  libvcllo.dylib                	0x01b2f73c Window::ImplCallPaint(Region const*, unsigned short) + 1388
20  libvcllo.dylib                	0x01b2f73c Window::ImplCallPaint(Region const*, unsigned short) + 1388
21  libvcllo.dylib                	0x01b2f73c Window::ImplCallPaint(Region const*, unsigned short) + 1388
22  libvcllo.dylib                	0x01b2f73c Window::ImplCallPaint(Region const*, unsigned short) + 1388
23  libvcllo.dylib                	0x01b32414 Window::ImplHandlePaintHdl(void*) + 148
24  libvcllo.dylib                	0x0181be5c Timer::ImplTimerCallbackProc() + 220
25  libvcllo.dylib                	0x01b917ec -[TimerCallbackCaller timerElapsed:] + 140
26  com.apple.Foundation          	0x97b9daf8 __NSFireTimer + 144
27  com.apple.CoreFoundation      	0x96c12818 CFRunLoopRunSpecific + 2968
28  com.apple.HIToolbox           	0x93111b14 RunCurrentEventLoopInMode + 264
29  com.apple.HIToolbox           	0x931118a0 ReceiveNextEventCommon + 260
30  com.apple.HIToolbox           	0x93111778 BlockUntilNextEventMatchingListInMode + 84
31  com.apple.AppKit              	0x960bc244 _DPSNextEvent + 596
32  com.apple.AppKit              	0x960bbbfc -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 112
33  libvcllo.dylib                	0x01b508d8 AquaSalInstance::Yield(bool, bool) + 536
34  libvcllo.dylib                	0x01816d30 Application::Yield() + 144
35  libvcllo.dylib                	0x01816e00 Application::Execute() + 64
36  libsofficeapp.dylib           	0x000c6688 desktop::Desktop::Main() + 7432
37  libvcllo.dylib                	0x01819c14 ImplSVMain() + 84
38  libvcllo.dylib                	0x01b4f52c AquaSalInstance::handleAppDefinedEvent(NSEvent*) + 140
39  libvcllo.dylib                	0x01b921f8 -[VCL_NSApplication sendEvent:] + 56
40  com.apple.AppKit              	0x960b58d4 -[NSApplication run] + 800
41  com.apple.AppKit              	0x96086298 NSApplicationMain + 440
42  libvcllo.dylib                	0x01b4ff08 ImplSVMainHook(int*) + 344
43  libvcllo.dylib                	0x01819d0c SVMain() + 28
44  libsofficeapp.dylib           	0x000f0940 soffice_main + 288
45  org.libreoffice.script        	0x00001f94 main + 20
46  org.libreoffice.script        	0x00001f20 start + 64
Comment 1 Douglas Mencken 2014-04-27 16:03:37 UTC
The following commit fixes this issue on OS X 10.5:
https://gerrit.libreoffice.org/#/c/9180/
Comment 2 Commit Notification 2014-05-13 07:46:31 UTC
Douglas Mencken committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c345429b27da24ac4b7ecb73a5a6311cd5e93576

vcl-quartz: fix for fdo#77993 (specific to OS X <10.6)



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Douglas Mencken 2014-05-13 13:40:01 UTC
commit c345429b27da24ac4b7ecb73a5a6311cd5e93576
Comment 4 Commit Notification 2014-05-23 15:25:01 UTC
Norbert Thiebaud committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d58318952f05a1985d3f140d55326659eadd67e4

fdo#77993 actually impact 10.6 too apparently



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-05-23 15:26:32 UTC
Norbert Thiebaud committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=606d51a5496f4aaeb6d955d07204db0d775def61&h=libreoffice-4-3

fdo#77993 actually impact 10.6 too apparently


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.